[llvm-commits] [compiler-rt] r170695 - in /compiler-rt/trunk/lib/tsan: Makefile.old check_cmake.sh
Dmitry Vyukov
dvyukov at google.com
Thu Dec 20 06:10:27 PST 2012
Author: dvyukov
Date: Thu Dec 20 08:10:27 2012
New Revision: 170695
URL: http://llvm.org/viewvc/llvm-project?rev=170695&view=rev
Log:
tsan: add cmake build and tests into presubmit script
Added:
compiler-rt/trunk/lib/tsan/check_cmake.sh (with props)
Modified:
compiler-rt/trunk/lib/tsan/Makefile.old
Modified: compiler-rt/trunk/lib/tsan/Makefile.old
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/lib/tsan/Makefile.old?rev=170695&r1=170694&r2=170695&view=diff
==============================================================================
--- compiler-rt/trunk/lib/tsan/Makefile.old (original)
+++ compiler-rt/trunk/lib/tsan/Makefile.old Thu Dec 20 08:10:27 2012
@@ -73,6 +73,8 @@
./check_analyze.sh
# Sanity check for Go runtime
(cd go && ./buildgo.sh)
+ # Check cmake build
+ ./check_cmake.sh
@ echo PRESUBMIT PASSED
install_deps:
Added: compiler-rt/trunk/lib/tsan/check_cmake.sh
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/lib/tsan/check_cmake.sh?rev=170695&view=auto
==============================================================================
--- compiler-rt/trunk/lib/tsan/check_cmake.sh (added)
+++ compiler-rt/trunk/lib/tsan/check_cmake.sh Thu Dec 20 08:10:27 2012
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -u
+set -e
+
+ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+mkdir -p $ROOT/build
+cd $ROOT/build
+CC=gcc CXX=g++ cmake -DCMAKE_BUILD_TYPE=Release -DLLVM_ENABLE_ASSERTIONS=ON $ROOT/../../../..
+make -j64
+make check-tsan check-sanitizer -j64
+
Propchange: compiler-rt/trunk/lib/tsan/check_cmake.sh
------------------------------------------------------------------------------
svn:executable = *
More information about the llvm-commits
mailing list